# RadioLib: tone_t Struct Reference

tone_t Struct Reference

Structure to save data about tone. More...

`#include <SSTV.h>`

## Public Types

enum | { GENERIC = 0 , SCAN_GREEN_Y , SCAN_BLUE_CB , SCAN_RED_CR }
| Tone type: GENERIC for sync and porch tones, SCAN_GREEN, SCAN_BLUE and SCAN_RED for scan lines.

## Public Attributes

enum tone_t:: { ... } | type
| Tone type: GENERIC for sync and porch tones, SCAN_GREEN, SCAN_BLUE and SCAN_RED for scan lines.
RadioLibTime_t | len
| Length of tone in us, set to 0 for picture scan tones.
uint16_t | freq
| Frequency of tone in Hz, set to 0 for picture scan tones.

## Detailed Description

Structure to save data about tone.

The documentation for this struct was generated from the following file:

- src/protocols/SSTV/SSTV.h